---
editUrl: false
next: false
prev: false
title: "EventModuleDefs"
---

## Properties

### 1

> **1**: [`DiscordEventCommand`](/v3/api/interfaces/discordeventcommand/)\<keyof `ClientEvents`\>

#### Source

[src/types/core-modules.ts:166](https://github.com/sern-handler/handler/blob/a19edaf8838dcf088d3947f4a6aa6213d8f5bb9e/src/types/core-modules.ts#L166)

***

### 2

> **2**: [`SernEventCommand`](/v3/api/interfaces/serneventcommand/)\<keyof [`SernEventsMapping`](/v3/api/interfaces/serneventsmapping/)\>

#### Source

[src/types/core-modules.ts:165](https://github.com/sern-handler/handler/blob/a19edaf8838dcf088d3947f4a6aa6213d8f5bb9e/src/types/core-modules.ts#L165)

***

### 3

> **3**: [`ExternalEventCommand`](/v3/api/interfaces/externaleventcommand/)

#### Source

[src/types/core-modules.ts:167](https://github.com/sern-handler/handler/blob/a19edaf8838dcf088d3947f4a6aa6213d8f5bb9e/src/types/core-modules.ts#L167)
